Skip to main content
GET
/
mud
/
worlds
/
{world}
/
tables
List of MUD world tables.
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/mud/worlds/{world}/tables?apikey='
{
  "items": [
    {
      "record": {
        "decoded": {},
        "id": "<string>",
        "is_deleted": true,
        "raw": {
          "block_number": "<string>",
          "dynamic_data": "<string>",
          "encoded_lengths": "<string>",
          "key0": "<string>",
          "key1": "<string>",
          "key_bytes": "<string>",
          "log_index": "<string>",
          "static_data": "<string>"
        },
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "schema": {
        "key_names": [
          "<string>"
        ],
        "key_types": [
          "<string>"
        ],
        "value_names": [
          "<string>"
        ],
        "value_types": [
          "<string>"
        ]
      },
      "table": {
        "table_full_name": "<string>",
        "table_id": "<string>",
        "table_name": "<string>",
        "table_namespace": "<string>",
        "table_type": "offchain"
      }
    }
  ],
  "next_page_params": {
    "items_count": 50,
    "table_id": "0x746243484553545f5641554c5400000043686573744163636573730000000000"
  }
}

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Path Parameters

world
string
required

MUD world address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

q
string | null

Search query filter

filter_namespace
string

Filter by namespace

table_id
string

MUD table ID for paging

Pattern: ^0x([A-Fa-f0-9]{64})$
items_count
integer

Number of items returned per page

Required range: 1 <= x <= 50

Response

List of MUD tables.

items
TableWithSchema · object[]
required
next_page_params
object
required
Example:
{
"items_count": 50,
"table_id": "0x746243484553545f5641554c5400000043686573744163636573730000000000"
}